aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--openbsc/doc/Makefile.am2
-rwxr-xr-xopenbsc/doc/regen_doc.sh21
2 files changed, 23 insertions, 0 deletions
diff --git a/openbsc/doc/Makefile.am b/openbsc/doc/Makefile.am
index 5a231074c..ac3c914cf 100644
--- a/openbsc/doc/Makefile.am
+++ b/openbsc/doc/Makefile.am
@@ -1,3 +1,5 @@
SUBDIRS = \
examples \
$(NULL)
+
+EXTRA_DIST = regen_doc.sh
diff --git a/openbsc/doc/regen_doc.sh b/openbsc/doc/regen_doc.sh
new file mode 100755
index 000000000..5552dec2c
--- /dev/null
+++ b/openbsc/doc/regen_doc.sh
@@ -0,0 +1,21 @@
+#!/bin/sh -x
+
+if [ -z "$DOCKER_PLAYGROUND" ]; then
+ echo "You need to set DOCKER_PLAYGROUND"
+ exit 1
+fi
+
+SCRIPT=$(realpath "$0")
+MANUAL_DIR=$(dirname "$SCRIPT")/../../manuals
+
+COMMIT=${COMMIT:-$(git log -1 --format=format:%H)}
+
+cd "$DOCKER_PLAYGROUND/scripts" || exit 1
+
+OSMO_NITB_BRANCH=$COMMIT ./regen_doc.sh osmo-nitb 4242 \
+ "$MANUAL_DIR/OsmoNITB/chapters/counters_generated.adoc" \
+ "$MANUAL_DIR/OsmoNITB/vty/nitb_vty_reference.xml"
+
+#OSMO_BSCNAT_BRANCH=$COMMIT ./regen_doc.sh osmo-bscnat 4244 \
+# "$MANUAL_DIR/OsmoBSCNAT/chapters/counters_generated.adoc" \
+# "$MANUAL_DIR/OsmoBSCNAT/vty/nat_vty_reference.xml"